summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-03-17 03:58:53 +0000
committerZac Medico <zmedico@gentoo.org>2006-03-17 03:58:53 +0000
commit4272a33379eb86b24f8fc1f60f39a6083e3791c1 (patch)
tree1255d0a319a710e9e6c2b9454097929edafaf2df /bin/misc-functions.sh
parentFix permissions functions so that error messages tell exactly which call failed. (diff)
downloadportage-multirepo-4272a33379eb86b24f8fc1f60f39a6083e3791c1.tar.gz
portage-multirepo-4272a33379eb86b24f8fc1f60f39a6083e3791c1.tar.bz2
portage-multirepo-4272a33379eb86b24f8fc1f60f39a6083e3791c1.zip
Use `mv -f` to make sure mv does not prompt for confirmation.
svn path=/main/trunk/; revision=2911
Diffstat (limited to 'bin/misc-functions.sh')
-rw-r--r--bin/misc-functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 8535a967..dff88223 100644
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -411,7 +411,7 @@ dyn_package() {
xpak build-info inf.xpak
tbz2tool join bin.tar.bz2 inf.xpak "${PF}.tbz2"
addwrite "${PKGDIR}"
- mv "${PF}.tbz2" "${PKGDIR}/All" || die "Failed to move tbz2 to ${PKGDIR}/All"
+ mv -f "${PF}.tbz2" "${PKGDIR}/All" || die "Failed to move tbz2 to ${PKGDIR}/All"
rm -f inf.xpak bin.tar.bz2
if [ ! -d "${PKGDIR}/${CATEGORY}" ]; then
install -d "${PKGDIR}/${CATEGORY}"